///////////////////////////////////////////////////////////////////////////
//
//	simple raytracer
//
//	UBC CS 314 - spring term 2007
//	instructor: Tamara Munzner [tmm@cs.ubc.ca] 
//	assignment 3
//
//	written by and questions to: Gordon Wetzstein [wetzste1@cs.ubc.ca]
//	
///////////////////////////////////////////////////////////////////////////

#ifndef __FILE_PARSER__
#define __FILE_PARSER__

#include <Primitives.h>
#include <vector>
#include <iostream>
#include <fstream>
#include <sstream>

class FileParser {

public:
	FileParser() {};
	~FileParser() {};

	// parse a file and write the output in the vectors
	bool parse(	const char *filename,		std::vector<PointLight> *lights, 
				std::vector<Plane> *planes,	std::vector<Sphere> *spheres,
				Camera *camera, int *resolution);
};

#endif
